Send an email based off an email template
curl --request POST \
--url https://api.pocketflows.com/email_templates/{id}/send \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "<string>",
"to": "<string>",
"attachments": [
{
"content": "<string>",
"name": "<string>"
}
],
"variables": {}
}
'import requests
url = "https://api.pocketflows.com/email_templates/{id}/send"
payload = {
"from": "<string>",
"to": "<string>",
"attachments": [
{
"content": "<string>",
"name": "<string>"
}
],
"variables": {}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: '<string>',
to: '<string>',
attachments: [{content: '<string>', name: '<string>'}],
variables: {}
})
};
fetch('https://api.pocketflows.com/email_templates/{id}/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_at": "<string>",
"customer": "<string>",
"subject": "<string>",
"sent_at": "<string>",
"failed_at": "<string>",
"failed_reason": "<string>",
"to_email_address": "<string>",
"ok": true,
"sendgrid_message_id": "<string>",
"paubox_message_id": "<string>",
"postmark_message_id": "<string>"
}Emails
Send an email based off an email template
POST
/
email_templates
/
{id}
/
send
Send an email based off an email template
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the email template
Body
application/json
- Option 1
- Option 2
Response
200 - application/json
The sent SentEmail object
The ID of the campaign
The time when the campaign was created in ISO 8601 format
The ID of the customer that was sent the email
The subject of the email
The time when the email was sent in ISO 8601 format
The time when the email failed to send in ISO 8601 format
The reason the email failed to send
The email address the email was sent to
Whether the email was sent successfully
Sendgrid's returned message ID
Paubox's returned message ID
Postmark's returned message ID